## org.apache.tools.ant.taskdefs
Class Transform

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.ExecTask
                        |
                        +--org.apache.tools.ant.taskdefs.ExecuteOn
                              |
                              +--org.apache.tools.ant.taskdefs.Transform

public class Transform
extends ExecuteOn

Has been merged into ExecuteOn, empty class for backwards compatibility.

Author:
  Stefan Bodewig

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`ExecuteOn.FileDirBoth`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`destDir, filesets, mapper, mapperElement, srcFilePos, srcIsFirst, targetFilePos, type`

Fields inherited from class org.apache.tools.ant.taskdefs.ExecTask
`cmdl, failOnError, newEnvironment`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Transform()`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`addDirset, addFilelist, addFileset, checkConfiguration, createMapper, createSrcfile, createTargetfile, getCommandline, getCommandline, getDirs, getFiles, runExec, runParallel, setAddsourcefile, setDest, setForwardslash, setMaxParallel, setParallel, setRelative, setSkipEmptyFilesets, setType, setVerbose`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecTask

`addEnv, createArg, createHandler, createWatchdog, execute, getResolveExecutable, isValidOs, logFlush, maybeSetResultPropertyValue, prepareExec, resolveExecutable, runExecute, setAppend, setCommand, setDir, setError, setErrorProperty, setExecutable, setFailIfExecutionFails, setFailonerror, setInput, setInputString, setLogError, setNewenvironment, setOs, setOutput, setOutputproperty, setResolveExecutable, setResultProperty, setSpawn, setTimeout, setTimeout, setVMLauncher`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.